commit 1b7a96155e43035218ef4469760a25f57c8ab5f4
Author: Hans P. Schlaepfer <hanspeter.schlaepfer@revamp-it.ch>
Date:   Mon Jul 29 14:30:09 2019 +0200

    Neues Design 2019 Standard-Code templates/webpages/requirement_spec_order/list.html

diff --git a/templates/webpages/requirement_spec_order/_assignment_form.html b/templates/webpages/requirement_spec_order/_assignment_form.html
index 9ec6d13d2..70ad41171 100644
--- a/templates/webpages/requirement_spec_order/_assignment_form.html
+++ b/templates/webpages/requirement_spec_order/_assignment_form.html
@@ -2,32 +2,34 @@
 [% SET style="width: 400px" %]
 
 <form id="quotations_and_orders_form">
- <table>
+ <table class="tbl-horizontal">
+  <tbody>
   [% IF for_new %]
   <tr>
-   <td>[% LxERP.t8("Record type to create") %]:</td>
+   <th>[% LxERP.t8("Record type to create") %]:</th>
    <td>[% L.select_tag('quotation', [ [ 1, LxERP.t8('Sales quotation') ], [ 0, LxERP.t8('Sales Order') ] ], style=style, no_id=1) %]</td>
   </tr>
 
   <tr>
-   <td>[% LxERP.t8("Customer") %]:</td>
+   <th>[% LxERP.t8("Customer") %]:</th>
    <td>[% L.select_tag('customer_id', SELF.all_customers, default=SELF.requirement_spec.customer_id, title_key='name', style=style, no_id=1) %]</td>
   </tr>
   [% END %]
 
   <tr>
-   <td>[% LxERP.t8("Assign the following article to all sections") %]:</td>
+   <th>[% LxERP.t8("Assign the following article to all sections") %]:</th>
    <td data-unit="[% HTML.escape(SELF.section_order_part.unit) %]">
     [% P.part.picker('quotations_and_orders_dummy', SELF.section_order_part.id, id='quotations_and_orders_order_id', style=style) %]
     [% L.button_tag('kivi.requirement_spec.assign_order_part_id_to_all()', LxERP.t8('Assign article')) %]
    </td>
   </tr>
+</tbody>
  </table>
 
- <table style="width: 100%">
+ <table class="tbl-list">
   <thead>
-   <tr class="listheading">
-    <th>[% LxERP.t8("Number") %]</th>
+   <tr>
+    <th class="right">[% LxERP.t8("Number") %]</th>
     <th>[% LxERP.t8("Title") %]</th>
     <th>[% LxERP.t8("Description") %]</th>
     <th>[% LxERP.t8("Article") %]</th>
@@ -38,9 +40,9 @@
 
   <tbody>
    [% FOREACH section = SELF.requirement_spec.sections_sorted %]
-   <tr class="listrow">
+   <tr>
     [% L.hidden_tag("sections[+].id", section.id, no_id=1) %]
-    <td>[% HTML.escape(section.fb_number) %]</td>
+    <td class="numeric">[% HTML.escape(section.fb_number) %]</td>
     <td>[% HTML.escape(section.title) %]</td>
     <td>[% HTML.escape(P.truncate(section.description_as_stripped_html)) %]</td>
     <td>[% P.part.picker('sections[].order_part_id', section.order_part_id, id='quotations_and_orders_sections_order_pard_id_' _ loop.count, style=style) %]</td>
diff --git a/templates/webpages/requirement_spec_order/list.html b/templates/webpages/requirement_spec_order/list.html
index d1c227891..e273019eb 100644
--- a/templates/webpages/requirement_spec_order/list.html
+++ b/templates/webpages/requirement_spec_order/list.html
@@ -8,9 +8,9 @@
   [% LxERP.t8("No sections have been created yet.") %]
  </div>
  [% ELSE %]
- <table id="quotations_and_orders_sections" style="width: 100%">
+ <table id="quotations_and_orders_sections" class="tbl-list">
   <thead>
-   <tr class="listheading">
+   <tr>
     <th>[% LxERP.t8("Number") %]</th>
     <th>[% LxERP.t8("Title") %]</th>
     <th>[% LxERP.t8("Description") %]</th>
@@ -22,7 +22,7 @@
 
   <tbody>
    [% FOREACH section = sections %]
-    <tr class="listrow">
+    <tr>
      <td>[% HTML.escape(section.fb_number) %]</td>
      <td>[% HTML.escape(section.title) %]</td>
      <td>[% HTML.escape(P.truncate(section.description_as_stripped_html)) %]</td>
@@ -54,12 +54,12 @@
   <div>[% LxERP.t8("No quotations or orders have been created yet.") %]</div>
  [% ELSE %]
 
-  <table style="width:100%">
+  <table class="tbl-list">
    <thead>
-    <tr class="listheading">
+    <tr>
      <th>[% LxERP.t8("Type") %]</th>
      <th>[% LxERP.t8("Requirement Spec Version") %]</th>
-     <th>[% LxERP.t8("Record number") %]</th>
+     <th class="right">[% LxERP.t8("Record number") %]</th>
      <th>[% LxERP.t8("Transaction description") %]</th>
      <th>[% LxERP.t8("Quotation/Order Date") %]</th>
      <th>[% LxERP.t8("Creation Date") %]</th>
@@ -68,7 +68,7 @@
 
    <tbody>
     [% FOREACH rs_order = orders %]
-    <tr class="listrow quotations-and-orders-order-context-menu">
+    <tr class="quotations-and-orders-order-context-menu">
      [% L.hidden_tag('order_id', rs_order.id, no_id=1) %]
      <td>[% rs_order.order.type == 'sales_quotation' ? LxERP.t8('Sales quotation') : LxERP.t8('Sales Order') %]</td>
      <td>
@@ -78,7 +78,7 @@
        [% LxERP.t8("working copy") %]
       [% END %]
      </td>
-     <td>
+     <td class="numeric">
       [%- IF INSTANCE_CONF.get_feature_experimental_order -%]
         <a href="controller.pl?action=Order/edit&id=[% HTML.url(rs_order.order_id) %]&type=[% HTML.url(rs_order.order.type) %]">
       [%- ELSE -%]