commit da2fecb453416b3731a896ab6d35e9992be3d9eb
Author: Moritz Bunkus <m.bunkus@linet.de>
Date:   Mon Apr 22 12:27:41 2013 +0200

    L-Plugin und Presenter: Erzeugung "ID"-Attribute mittels "no_id => 1" unterdrückbar

diff --git a/SL/Presenter/Tag.pm b/SL/Presenter/Tag.pm
index e65ca7722..9ead2f24a 100644
--- a/SL/Presenter/Tag.pm
+++ b/SL/Presenter/Tag.pm
@@ -45,7 +45,7 @@ sub html_tag {
 sub input_tag {
   my ($self, $name, $value, %attributes) = @_;
 
-  $attributes{id}   ||= $self->name_to_id($name);
+  _set_id_attribute(\%attributes, $name);
   $attributes{type} ||= 'text';
 
   return $self->html_tag('input', undef, %attributes, name => $name, value => $value);
@@ -77,7 +77,7 @@ sub name_to_id {
 sub select_tag {
   my ($self, $name, $collection, %attributes) = @_;
 
-  $attributes{id}   ||= $self->name_to_id($name);
+  _set_id_attribute(\%attributes, $name);
 
   my $value_key       = delete($attributes{value_key})   || 'id';
   my $title_key       = delete($attributes{title_key})   || $value_key;
@@ -173,6 +173,14 @@ sub select_tag {
   return $self->html_tag('select', $code, %attributes, name => $name);
 }
 
+sub _set_id_attribute {
+  my ($attributes, $name) = @_;
+
+  $attributes->{id} = name_to_id(undef, $name) if !delete($attributes->{no_id}) && !$attributes->{id};
+
+  return %{ $attributes };
+}
+
 1;
 __END__
 
@@ -205,6 +213,10 @@ Usage from a template:
 A module modeled a bit after Rails' ActionView helpers. Several small
 functions that create HTML tags from various kinds of data sources.
 
+The C<id> attribute is usually calculated automatically. This can be
+overridden by either specifying an C<id> attribute or by setting
+C<no_id> to trueish.
+
 =head1 FUNCTIONS
 
 =head2 LOW-LEVEL FUNCTIONS
diff --git a/SL/Template/Plugin/L.pm b/SL/Template/Plugin/L.pm
index 1ffe22d0e..6db220296 100644
--- a/SL/Template/Plugin/L.pm
+++ b/SL/Template/Plugin/L.pm
@@ -69,6 +69,11 @@ sub input_tag     { return _call_presenter('input_tag',     @_); }
 sub truncate      { return _call_presenter('truncate',      @_); }
 sub simple_format { return _call_presenter('simple_format', @_); }
 
+sub _set_id_attribute {
+  my ($attributes, $name) = @_;
+  SL::Presenter::Tag::_set_id_attribute($attributes, $name);
+}
+
 sub img_tag {
   my ($self, @slurp) = @_;
   my %options = _hashify(@slurp);
@@ -82,7 +87,7 @@ sub textarea_tag {
   my ($self, $name, $content, @slurp) = @_;
   my %attributes      = _hashify(@slurp);
 
-  $attributes{id}   ||= $self->name_to_id($name);
+  _set_id_attribute(\%attributes, $name);
   $attributes{rows}  *= 1; # required by standard
   $attributes{cols}  *= 1; # required by standard
   $content            = $content ? _H($content) : '';
@@ -94,7 +99,7 @@ sub checkbox_tag {
   my ($self, $name, @slurp) = @_;
   my %attributes       = _hashify(@slurp);
 
-  $attributes{id}    ||= $self->name_to_id($name);
+  _set_id_attribute(\%attributes, $name);
   $attributes{value}   = 1 unless defined $attributes{value};
   my $label            = delete $attributes{label};
   my $checkall         = delete $attributes{checkall};
@@ -117,8 +122,8 @@ sub radio_button_tag {
   my $name             = shift;
   my %attributes       = _hashify(@_);
 
+  _set_id_attribute(\%attributes, $name);
   $attributes{value}   = 1 unless defined $attributes{value};
-  $attributes{id}    ||= $self->name_to_id($name . "_" . $attributes{value});
   my $label            = delete $attributes{label};
 
   if ($attributes{checked}) {
@@ -177,7 +182,7 @@ sub button_tag {
   my ($self, $onclick, $value, @slurp) = @_;
   my %attributes = _hashify(@slurp);
 
-  $attributes{id}   ||= $self->name_to_id($attributes{name}) if $attributes{name};
+  _set_id_attribute(\%attributes, $attributes{name}) if $attributes{name};
   $attributes{type} ||= 'button';
 
   $onclick = 'if (!confirm("'. _J(delete($attributes{confirm})) .'")) return false; ' . $onclick if $attributes{confirm};
@@ -226,13 +231,12 @@ sub date_tag {
   my ($self, $name, $value, @slurp) = @_;
 
   my %params   = _hashify(@slurp);
-  my $id       = $self->name_to_id($name) . _tag_id();
+  _set_id_attribute(\%params, $name);
   my @onchange = $params{onchange} ? (onChange => delete $params{onchange}) : ();
   my @class    = $params{no_cal} || $params{readonly} ? () : (class => 'datepicker');
 
   return $self->input_tag(
     $name, blessed($value) ? $value->to_lxoffice : $value,
-    id     => $id,
     size   => 11,
     onblur => "check_right_date_format(this);",
     %params,
@@ -531,6 +535,10 @@ Usage from a template:
 A module modeled a bit after Rails' ActionView helpers. Several small
 functions that create HTML tags from various kinds of data sources.
 
+The C<id> attribute is usually calculated automatically. This can be
+overridden by either specifying an C<id> attribute or by setting
+C<no_id> to trueish.
+
 =head1 FUNCTIONS
 
 =head2 LOW-LEVEL FUNCTIONS