commit 793244dd645a0d92caae543904c8ad4ee465e87a
Author: Sven Schöling <s.schoeling@googlemail.com>
Date:   Mon Nov 26 13:57:53 2012 +0100

    Fehlende Übersetzungen

diff --git a/locale/de/all b/locale/de/all
index 72d72c8bd..44a5bf3b3 100644
--- a/locale/de/all
+++ b/locale/de/all
@@ -113,12 +113,10 @@ $self->{texts} = {
   'Add Accounts Receivables Transaction' => 'Debitorenbuchung erfassen',
   'Add Assembly'                => 'Erzeugnis erfassen',
   'Add Buchungsgruppe'          => 'Buchungsgruppe erfassen',
-  'Add Business'                => 'Kunden-/Lieferantentyp erfassen',
   'Add Credit Note'             => 'Gutschrift erfassen',
   'Add Customer'                => 'Kunde erfassen',
   'Add Delivery Note'           => 'Lieferschein erfassen',
   'Add Delivery Order'          => 'Lieferschein erfassen',
-  'Add Department'              => 'Abteilung erfassen',
   'Add Dunning'                 => 'Mahnung erzeugen',
   'Add Exchangerate'            => 'Wechselkurs erfassen',
   'Add Follow-Up'               => 'Wiedervorlage erstellen',
@@ -128,7 +126,6 @@ $self->{texts} = {
   'Add Language'                => 'Sprache hinzufügen',
   'Add Lead'                    => 'Kundenquelle erfassen',
   'Add Part'                    => 'Ware erfassen',
-  'Add Payment Terms'           => 'Zahlungskonditionen hinzufügen',
   'Add Price Factor'            => 'Preisfaktor erfassen',
   'Add Pricegroup'              => 'Preisgruppe erfassen',
   'Add Printer'                 => 'Drucker hinzufügen',
@@ -449,7 +446,6 @@ $self->{texts} = {
   'Conversion of "birthday" contact person attribute' => 'Umstellung des Kontaktpersonenfeldes "Geburtstag"',
   'Copies'                      => 'Kopien',
   'Correct taxkey'              => 'Richtiger Steuerschlüssel',
-  'Corrections'                 => 'Korrekturen',
   'Costs'                       => 'Kosten',
   'Could not copy %s to %s. Reason: %s' => 'Die Datei &quot;%s&quot; konnte nicht nach &quot;%s&quot; kopiert werden. Grund: %s',
   'Could not load class #1 (#2): "#3"' => 'Konnte Klasse #1 (#2) nicht laden: "#3"',
@@ -1105,6 +1101,7 @@ $self->{texts} = {
   'Last run at'                 => 'Letzte Ausführung um',
   'Lastcost (with X being a number)' => 'Einkaufspreis (X ist eine fortlaufende Zahl)',
   'Lead'                        => 'Kundenquelle',
+  'Leads'                       => 'Leads',
   'Leave host and port field empty unless you want to make a remote connection.' => 'F&uuml;r lokale Verbindungen "Rechner" und "Port" freilassen.',
   'Left'                        => 'Links',
   'Liability'                   => 'Passiva/Mittelherkunft',
@@ -1112,21 +1109,10 @@ $self->{texts} = {
   'Line Total'                  => 'Zeilensumme',
   'Line and column'             => 'Zeile und Spalte',
   'Line endings'                => 'Zeilenumbr&uuml;che',
-  'List'                        => 'Anzeigen',
-  'List Accounting Groups'      => 'Buchungsgruppen anzeigen',
   'List Accounts'               => 'Konten anzeigen',
-  'List Businesses'             => 'Kunden-/Lieferantentypen anzeigen',
-  'List Departments'            => 'Abteilungen anzeigen',
-  'List Groups'                 => 'Warengruppen anzeigen',
   'List Languages'              => 'Sprachen anzeigen',
-  'List Lead'                   => 'Kundenquelle anzeigen',
-  'List Payment Terms'          => 'Zahlungsbedingungen anzeigen',
   'List Price'                  => 'Listenpreis',
-  'List Price Factors'          => 'Preisfaktoren anzeigen',
-  'List Pricegroups'            => 'Preisgruppen anzeigen',
   'List Transactions'           => 'Buchungsliste',
-  'List Warehouses'             => 'Lager anzeigen',
-  'List bank accounts'          => 'Bankkonten anzeigen',
   'List current background jobs' => 'Aktuelle Hintergrund-Jobs anzeigen',
   'List export'                 => 'Export anzeigen',
   'List of bank accounts'       => 'Liste der Bankkonten',
@@ -2130,6 +2116,7 @@ $self->{texts} = {
   'Type of Business'            => 'Kunden-/Lieferantentyp',
   'Type of Customer'            => 'Kundentyp',
   'Type of Vendor'              => 'Lieferantentyp',
+  'Types of Business'           => 'Kunden-/Lieferantentypen',
   'USTVA'                       => 'USTVA',
   'USTVA 2004'                  => 'USTVA 2004',
   'USTVA 2005'                  => 'USTVA 2005',