commit 7c1cce830809d78ca8459f84f43fbe9c182ccb43
Author: Moritz Bunkus <m.bunkus@linet.de>
Date:   Wed Jul 1 11:15:42 2009 +0200

    Deutsche Begriffe Ã¼bersetzen. Buttons als <input type="submit"> rendern und nicht als <button type="button">.

diff --git a/locale/de/all b/locale/de/all
index 4399bc5ad..b7dceda75 100644
--- a/locale/de/all
+++ b/locale/de/all
@@ -908,6 +908,7 @@ $self->{texts} = {
   'List Tax'                    => 'Bearbeiten',
   'List Transactions'           => 'Buchungsliste',
   'List Warehouses'             => 'Lager anzeigen',
+  'List export'                 => 'Listenexport',
   'List of custom variables'    => 'Liste der benutzerdefinierten Variablen',
   'Load draft'                  => 'Entwurf laden',
   'Local Tax Office Preferences' => 'Angaben zum Finanzamt',
diff --git a/locale/de/ap b/locale/de/ap
index e280bd868..55b6d170a 100644
--- a/locale/de/ap
+++ b/locale/de/ap
@@ -357,10 +357,13 @@ $self->{subs} = {
   'yes'                         => 'yes',
   'kreditorenbuchung'           => 'ap_transaction',
   'kreditorenbuchung_erfassen'  => 'add_accounts_payables_transaction',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
   'entwürfe_löschen'            => 'delete_drafts',
   'kreditorenbuchung_bearbeiten' => 'edit_accounts_payables_transaction',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'neue_ware'                   => 'new_part',
   'buchen'                      => 'post',
   'zahlung_buchen'              => 'post_payment',
diff --git a/locale/de/ar b/locale/de/ar
index 177d948d7..8c36865b7 100644
--- a/locale/de/ar
+++ b/locale/de/ar
@@ -364,9 +364,12 @@ $self->{subs} = {
   'vendor_selection'            => 'vendor_selection',
   'yes'                         => 'yes',
   'debitorenbuchung'            => 'ar_transaction',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
   'entwürfe_löschen'            => 'delete_drafts',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'neue_ware'                   => 'new_part',
   'buchen'                      => 'post',
   'zahlung_buchen'              => 'post_payment',
diff --git a/locale/de/ca b/locale/de/ca
index 77bc89487..aa49c9509 100644
--- a/locale/de/ca
+++ b/locale/de/ca
@@ -201,7 +201,10 @@ $self->{subs} = {
   'report_generator_export_as_csv' => 'report_generator_export_as_csv',
   'report_generator_export_as_pdf' => 'report_generator_export_as_pdf',
   'report_generator_set_default_sort' => 'report_generator_set_default_sort',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'buchungsliste'               => 'list_transactions',
 };
 
diff --git a/locale/de/ct b/locale/de/ct
index ed149db3f..98bac2f4e 100644
--- a/locale/de/ct
+++ b/locale/de/ct
@@ -263,10 +263,13 @@ $self->{subs} = {
   'vendor_invoice'              => 'vendor_invoice',
   'vendor_selection'            => 'vendor_selection',
   'erfassen'                    => 'add',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
   'ansprechpartner_löschen'     => 'delete_contact',
   'lieferadresse_löschen'       => 'delete_shipto',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'neue_ware'                   => 'new_part',
   'speichern'                   => 'save',
   'speichern_und_kreditorenbuchung_erfassen' => 'save_and_ap_transaction',
diff --git a/locale/de/dn b/locale/de/dn
index fd701f061..4ce163b63 100644
--- a/locale/de/dn
+++ b/locale/de/dn
@@ -365,7 +365,10 @@ $self->{subs} = {
   'vendor_details'              => 'vendor_details',
   'vendor_invoice'              => 'vendor_invoice',
   'vendor_selection'            => 'vendor_selection',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'neue_ware'                   => 'new_part',
   'drucken'                     => 'print',
   'speichern'                   => 'save',
diff --git a/locale/de/do b/locale/de/do
index ae711ea9e..47822b82b 100644
--- a/locale/de/do
+++ b/locale/de/do
@@ -421,9 +421,12 @@ $self->{subs} = {
   'vendor_invoice'              => 'vendor_invoice',
   'vendor_selection'            => 'vendor_selection',
   'yes'                         => 'yes',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
   'email'                       => 'e_mail',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'rechnung'                    => 'invoice',
   'schließen'                   => 'mark_closed',
   'neue_ware'                   => 'new_part',
diff --git a/locale/de/fu b/locale/de/fu
index cf3deb22f..ea8b79eab 100644
--- a/locale/de/fu
+++ b/locale/de/fu
@@ -186,9 +186,12 @@ $self->{subs} = {
   'save_follow_up'              => 'save_follow_up',
   'search'                      => 'search',
   'update'                      => 'update',
+  'zurück'                      => 'back',
   'abbrechen'                   => 'cancel',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'abschlie&szlig;en'           => 'finish',
   'speichern'                   => 'save',
 };
diff --git a/locale/de/gl b/locale/de/gl
index fc9492b89..1590fffa7 100644
--- a/locale/de/gl
+++ b/locale/de/gl
@@ -334,9 +334,12 @@ $self->{subs} = {
   'yes'                         => 'yes',
   'kreditorenbuchung'           => 'ap_transaction',
   'debitorenbuchung'            => 'ar_transaction',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
   'entwürfe_löschen'            => 'delete_drafts',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'dialogbuchung'               => 'gl_transaction',
   'neue_ware'                   => 'new_part',
   'buchen'                      => 'post',
diff --git a/locale/de/ic b/locale/de/ic
index f9302456a..fb80a8df6 100644
--- a/locale/de/ic
+++ b/locale/de/ic
@@ -431,11 +431,14 @@ $self->{subs} = {
   'ware_erfassen'               => 'add_part',
   'dienstleistung_erfassen'     => 'add_service',
   'erzeugnisnummer_fehlt!'      => 'assembly_number_missing!',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
   'erzeugnis_bearbeiten'        => 'edit_assembly',
   'ware_bearbeiten'             => 'edit_part',
   'dienstleistung_bearbeiten'   => 'edit_service',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'bevor_dieses_erzeugnis_als_ungültig_markiert_werden_kann__muß_das_inventar_auf_null_sein!' => 'inventory_quantity_must_be_zero_before_you_can_set_this_assembly_obsolete!',
   'bevor_diese_ware_als_ungültig_markiert_werden_kann__muß_das_inventar_null_sein!' => 'inventory_quantity_must_be_zero_before_you_can_set_this_part_obsolete!',
   'neue_ware'                   => 'new_part',
diff --git a/locale/de/login b/locale/de/login
index f04ac78c1..7a804aaf6 100644
--- a/locale/de/login
+++ b/locale/de/login
@@ -536,11 +536,14 @@ $self->{subs} = {
   'vendor_invoice'              => 'vendor_invoice',
   'vendor_selection'            => 'vendor_selection',
   'yes'                         => 'yes',
+  'zurück'                      => 'back',
   'abbrechen'                   => 'cancel',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
   'lieferschein'                => 'delivery_order',
   'email'                       => 'e_mail',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'abschlie&szlig;en'           => 'finish',
   'rechnung'                    => 'invoice',
   'anmeldung'                   => 'login',
diff --git a/locale/de/oe b/locale/de/oe
index 00d93f6c8..a568d0304 100644
--- a/locale/de/oe
+++ b/locale/de/oe
@@ -489,10 +489,13 @@ $self->{subs} = {
   'vendor_invoice'              => 'vendor_invoice',
   'vendor_selection'            => 'vendor_selection',
   'yes'                         => 'yes',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
   'lieferschein'                => 'delivery_order',
   'email'                       => 'e_mail',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'rechnung'                    => 'invoice',
   'schließen'                   => 'mark_closed',
   'neue_ware'                   => 'new_part',
diff --git a/locale/de/projects b/locale/de/projects
index 009252702..f0726f2aa 100644
--- a/locale/de/projects
+++ b/locale/de/projects
@@ -216,8 +216,11 @@ $self->{subs} = {
   'show_vc_details'             => 'show_vc_details',
   'vendor_invoice'              => 'vendor_invoice',
   'vendor_selection'            => 'vendor_selection',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'neue_ware'                   => 'new_part',
   'speichern'                   => 'save',
   'als_neu_speichern'           => 'save_as_new',
diff --git a/locale/de/reportgenerator b/locale/de/reportgenerator
index bf6c6b27c..11eceb9cd 100644
--- a/locale/de/reportgenerator
+++ b/locale/de/reportgenerator
@@ -132,7 +132,10 @@ $self->{subs} = {
   'report_generator_export_as_csv' => 'report_generator_export_as_csv',
   'report_generator_export_as_pdf' => 'report_generator_export_as_pdf',
   'report_generator_set_default_sort' => 'report_generator_set_default_sort',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
 };
 
 1;
diff --git a/locale/de/rp b/locale/de/rp
index db014ab12..10fbc7008 100644
--- a/locale/de/rp
+++ b/locale/de/rp
@@ -349,8 +349,11 @@ $self->{subs} = {
   'tax_subtotal'                => 'tax_subtotal',
   'vendor_invoice'              => 'vendor_invoice',
   'vendor_selection'            => 'vendor_selection',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'email'                       => 'e_mail',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'neue_ware'                   => 'new_part',
   'drucken'                     => 'print',
   'alle_auswählen'              => 'select_all',
diff --git a/locale/de/todo b/locale/de/todo
index df26d0500..f2f68bffa 100644
--- a/locale/de/todo
+++ b/locale/de/todo
@@ -524,11 +524,14 @@ $self->{subs} = {
   'vendor_invoice'              => 'vendor_invoice',
   'vendor_selection'            => 'vendor_selection',
   'yes'                         => 'yes',
+  'zurück'                      => 'back',
   'abbrechen'                   => 'cancel',
   'weiter'                      => 'continue',
   'löschen'                     => 'delete',
   'lieferschein'                => 'delivery_order',
   'email'                       => 'e_mail',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'abschlie&szlig;en'           => 'finish',
   'rechnung'                    => 'invoice',
   'schließen'                   => 'mark_closed',
diff --git a/locale/de/wh b/locale/de/wh
index 54ea75c08..04f068af4 100644
--- a/locale/de/wh
+++ b/locale/de/wh
@@ -281,8 +281,11 @@ $self->{subs} = {
   'update'                      => 'update',
   'vendor_invoice'              => 'vendor_invoice',
   'vendor_selection'            => 'vendor_selection',
+  'zurück'                      => 'back',
   'weiter'                      => 'continue',
   'erzeugnis_fertigen'          => 'create_assembly',
+  'als_csv_exportieren'         => 'export_as_csv',
+  'als_pdf_exportieren'         => 'export_as_pdf',
   'neue_ware'                   => 'new_part',
   'einlagern'                   => 'stock',
   'erneuern'                    => 'update',
diff --git a/templates/webpages/report_generator/csv_export_options_de.html b/templates/webpages/report_generator/csv_export_options_de.html
index 1c11e0792..d0d51b19c 100644
--- a/templates/webpages/report_generator/csv_export_options_de.html
+++ b/templates/webpages/report_generator/csv_export_options_de.html
@@ -77,8 +77,8 @@
   </table>
 
   <p>
-   <button type="button" class="submit" onclick="submit_report_generator_form('report_generator_export_as_csv')">Als CSV exportieren</button>
-   <button type="button" class="submit" onclick="submit_report_generator_form('report_generator_back')">Zurück</button>
+   <input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_export_as_csv')" value="Als CSV exportieren">
+   <input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_back')" value="Zurück">
   </p>
 
  </form>
diff --git a/templates/webpages/report_generator/csv_export_options_master.html b/templates/webpages/report_generator/csv_export_options_master.html
index ec8726530..a2f56ef9d 100644
--- a/templates/webpages/report_generator/csv_export_options_master.html
+++ b/templates/webpages/report_generator/csv_export_options_master.html
@@ -77,8 +77,8 @@
   </table>
 
   <p>
-   <button type="button" class="submit" onclick="submit_report_generator_form('report_generator_export_as_csv')"><translate>Export as CSV</translate></button>
-   <button type="button" class="submit" onclick="submit_report_generator_form('report_generator_back')"><translate>Back</translate></button>
+   <input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_export_as_csv')" value="<translate>Export as CSV</translate>">
+   <input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_back')" value="<translate>Back</translate>">
   </p>
 
  </form>
diff --git a/templates/webpages/report_generator/html_report_de.html b/templates/webpages/report_generator/html_report_de.html
index 455a5f203..992836106 100644
--- a/templates/webpages/report_generator/html_report_de.html
+++ b/templates/webpages/report_generator/html_report_de.html
@@ -109,8 +109,8 @@
 
    <p>
     Listenexport<br>
-    [% IF ALLOW_PDF_EXPORT %]<button type="button" class="submit" onclick="submit_report_generator_form('report_generator_export_as_pdf')">Als PDF exportieren</button>[% END %]
-    [% IF ALLOW_CSV_EXPORT %]<button type="button" class="submit" onclick="submit_report_generator_form('report_generator_export_as_csv')">Als CSV exportieren</button>[% END %]
+    [% IF ALLOW_PDF_EXPORT %]<input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_export_as_pdf')" value="Als PDF exportieren">[% END %]
+    [% IF ALLOW_CSV_EXPORT %]<input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_export_as_csv')" value="Als CSV exportieren">[% END %]
    </p>
   </form>
  [% END %]
diff --git a/templates/webpages/report_generator/html_report_master.html b/templates/webpages/report_generator/html_report_master.html
index 59101774a..279975db7 100644
--- a/templates/webpages/report_generator/html_report_master.html
+++ b/templates/webpages/report_generator/html_report_master.html
@@ -108,9 +108,9 @@
    <input type="hidden" name="action" value="report_generator_dispatcher">
 
    <p>
-    Listenexport<br>
-    [% IF ALLOW_PDF_EXPORT %]<button type="button" class="submit" onclick="submit_report_generator_form('report_generator_export_as_pdf')">Als PDF exportieren</button>[% END %]
-    [% IF ALLOW_CSV_EXPORT %]<button type="button" class="submit" onclick="submit_report_generator_form('report_generator_export_as_csv')">Als CSV exportieren</button>[% END %]
+    <translate>List export</translate><br>
+    [% IF ALLOW_PDF_EXPORT %]<input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_export_as_pdf')" value="<translate>Export as PDF</translate>">[% END %]
+    [% IF ALLOW_CSV_EXPORT %]<input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_export_as_csv')" value="<translate>Export as CSV</translate>">[% END %]
    </p>
   </form>
  [% END %]
diff --git a/templates/webpages/report_generator/pdf_export_options_de.html b/templates/webpages/report_generator/pdf_export_options_de.html
index 772747718..ea22d1a23 100644
--- a/templates/webpages/report_generator/pdf_export_options_de.html
+++ b/templates/webpages/report_generator/pdf_export_options_de.html
@@ -134,8 +134,8 @@
   </table>
 
   <p>
-   <button type="button" class="submit" onclick="submit_report_generator_form('report_generator_export_as_pdf')">Als PDF exportieren</button>
-   <button type="button" class="submit" onclick="submit_report_generator_form('report_generator_back')">Zurück</button>
+   <input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_export_as_pdf')" value="Als PDF exportieren">
+   <input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_back')" value="Zurück">
   </p>
 
  </form>
diff --git a/templates/webpages/report_generator/pdf_export_options_master.html b/templates/webpages/report_generator/pdf_export_options_master.html
index e7de3afad..b77169837 100644
--- a/templates/webpages/report_generator/pdf_export_options_master.html
+++ b/templates/webpages/report_generator/pdf_export_options_master.html
@@ -134,8 +134,8 @@
   </table>
 
   <p>
-   <button type="button" class="submit" onclick="submit_report_generator_form('report_generator_export_as_pdf')"><translate>Export as PDF</translate></button>
-   <button type="button" class="submit" onclick="submit_report_generator_form('report_generator_back')"><translate>Back</translate></button>
+   <input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_export_as_pdf')" value="<translate>Export as PDF</translate>">
+   <input type="submit" class="submit" onclick="submit_report_generator_form('report_generator_back')" value="<translate>Back</translate>">
   </p>
 
  </form>