commit 981979b5a0937cd7fc4c5dab5b6c73777029b71e
Author: Sven Schöling <s.schoeling@googlemail.com>
Date:   Tue Feb 6 11:45:17 2018 +0100

    DATEV: Testanpassungen

diff --git a/t/datev/datev_format_2018.t b/t/datev/datev_format_2018.t
index 6f86dfe5e..a829d909e 100644
--- a/t/datev/datev_format_2018.t
+++ b/t/datev/datev_format_2018.t
@@ -145,7 +145,7 @@ ok(scalar @{ $datev_csv4->warnings } == 0, 'no warnings');
 my @sorted =  sort { $a->[0] cmp $b->[0] } @{ $lines_aref };
 cmp_deeply $sorted[0],    [ '1963,5', 'S', 'EUR', '', '', '',
                             '1400', '8400', '', '1907', 'meine muh',
-                            '', '', '', '', '', '', '', '', '',
+                            '', '', 'Test customer', '', '', '', '', '', '',
                             '', '', '', '', '', '', '', '', '',
                             '', '', '', '', '', '', '', "K\x{e4}stchen",
                             '299', '','DE12345678', '', '', '',
@@ -161,7 +161,7 @@ cmp_deeply $sorted[0],    [ '1963,5', 'S', 'EUR', '', '', '',
                           ];
 cmp_deeply $sorted[1],     [ '535', 'S', 'EUR', '', '', '',
                              '1400', '8300', '', '1907','meine muh',
-                            '', '', '', '', '', '', '', '', '',
+                            '', '', 'Test customer', '', '', '', '', '', '',
                             '', '', '', '', '', '', '', '', '',
                             '', '', '', '', '', '', '', "K\x{e4}stchen",
                             '299', '','DE12345678', '', '', '',
@@ -244,8 +244,8 @@ my $datev_csv3  = SL::DATEV::CSV->new(datev_lines  => $datev2->generate_datev_li
                                      );
 
 my @data_csv    = sort { $a->[0] cmp $b->[0] } @{ $datev_csv3->lines };
-cmp_deeply($data_csv[0], [ 100, 'S', 'EUR', '', '', '', '4660', '1000', 9, '1703', 'Reise März 2',
-                     '', '', '', '', '', '', '', '', '', '', '',
+cmp_deeply($data_csv[0], [ '100', 'S', 'EUR', '', '', '', '4660', '1000', 9, '1703', 'Reise März 2',
+                     '', '', 'Reisekonsten März 2018 / Ma Schmidt', '', '', '', '', '', '', '', '',
                      '', '', '', '', '', '', '', '', '', '', '', '', '',
                      '', '', '', '', '', '', '', '', '', '', '',
                      '', '', '', '', '', '', '', '', '', '', '', '', '',
diff --git a/t/datev/invoices.t b/t/datev/invoices.t
index 9c07058de..ffcf2c78d 100644
--- a/t/datev/invoices.t
+++ b/t/datev/invoices.t
@@ -168,8 +168,8 @@ my @data_csv    = sort { $a->[0] cmp $b->[0] } @{ $datev_csv->lines };
 is(scalar @{ $datev_csv->warnings }, 0);
 
 
-cmp_deeply($data_csv[1], [ 535, 'S', 'EUR', '', '', '', '1400', '8300', '', '0101', "\x{de} sales \x{a5}& i",
-                     '', '', '', '', '', '', '', '', '', '', '',
+cmp_deeply($data_csv[1], [ '535', 'S', 'EUR', '', '', '', '1400', '8300', '', '0101', "\x{de} sales \x{a5}& i",
+                     '', '', 'Testcustomer', '', '', '', '', '', '', '', '',
                      '', '', '', '', '', '', '', '', '', '', '', '', '',
                      '', 'Kostenst', 'Crowd-Fu', '', '', '', '', '', '', '', '',
                      '', '', '', '', '', '', '', '', '', '', '', '', '',
@@ -181,7 +181,7 @@ cmp_deeply($data_csv[1], [ 535, 'S', 'EUR', '', '', '', '1400', '8300', '', '010
        );
 
 cmp_deeply($data_csv[0], [ '249,9', 'S', 'EUR', '', '', '', '1400', '8400', '', '0101', "\x{de} sales \x{a5}& i",
-                     '', '', '', '', '', '', '', '', '', '', '',
+                     '', '', 'Testcustomer', '', '', '', '', '', '', '', '',
                      '', '', '', '', '', '', '', '', '', '', '', '', '',
                      '', 'Kostenst', 'Crowd-Fu', '', '', '', '', '', '', '', '',
                      '', '', '', '', '', '', '', '', '', '', '', '', '',
@@ -192,7 +192,7 @@ cmp_deeply($data_csv[0], [ '249,9', 'S', 'EUR', '', '', '', '1400', '8400', '',
                      '', '', '', '', '' ]
        );
 cmp_deeply($data_csv[2], [ '784,9', 'S', 'EUR', '', '', '', '1200', '1400', '', '0501', "\x{de} sales \x{a5}& i",
-                     '', '', '', '', '', '', '', '', '', '', '',
+                     '', '', 'Testcustomer', '', '', '', '', '', '', '', '',
                      '', '', '', '', '', '', '', '', '', '', '', '', '',
                      '', 'Kostenst', 'Crowd-Fu', '', '', '', '', '', '', '', '',
                      '', '', '', '', '', '', '', '', '', '', '', '', '',