commit d7183250c9f03bcc76f6c08b5c8536ddbdce5df7
Author: Hans P. Schlaepfer <hanspeter.schlaepfer@revamp-it.ch>
Date:   Mon Jul 29 17:44:10 2019 +0200

    Neues Design 2019 Standard-Code templates/webpages/requirement_spec/show.html

diff --git a/templates/webpages/requirement_spec/show.html b/templates/webpages/requirement_spec/show.html
index c15103393..0e76f1082 100644
--- a/templates/webpages/requirement_spec/show.html
+++ b/templates/webpages/requirement_spec/show.html
@@ -6,54 +6,57 @@
 [% USE JavaScript %]
 [% SET sections = SELF.requirement_spec.sections_sorted || [] %]
 
-[%- INCLUDE 'common/flash.html' %]
+[% INCLUDE 'common/flash.html' %]
 
-[%- INCLUDE 'requirement_spec/_header.html' %]
+[% INCLUDE 'requirement_spec/_header.html' %]
 
-[%- L.hidden_tag('requirement_spec_id', SELF.requirement_spec.id, 'data-is-template'=(SELF.requirement_spec.is_template ? 1 : 0)) -%]
+[% L.hidden_tag('requirement_spec_id', SELF.requirement_spec.id, 'data-is-template'=(SELF.requirement_spec.is_template ? 1 : 0)) %]
 
 <div id="requirement_spec_tabs" class="tabwidget">
- <ul>
-  <li id="tab-header-function-block"><a href="#function-blocks-tab">[%- LxERP.t8("Content") %]</a></li>
-  <li id="tab-header-basic-settings"><a href="controller.pl?action=RequirementSpec/ajax_show_basic_settings&id=[% HTML.url(SELF.requirement_spec.id) %]">[%- LxERP.t8("Basic settings") %]</a></li>
-  <li id="tab-header-time-cost-estimate"><a href="controller.pl?action=RequirementSpec/ajax_show_time_and_cost_estimate&id=[% HTML.url(SELF.requirement_spec.id) %]">[%- LxERP.t8("Time and price estimate") %]</a></li>
-  <li id="tab-header-additional-parts"><a href="controller.pl?action=RequirementSpecPart/show&requirement_spec_id=[% HTML.url(SELF.requirement_spec.id) %]">[%- LxERP.t8("Additional articles") %]</a></li>
-  [%- UNLESS SELF.requirement_spec.is_template %]
-   <li id="tab-header-versions"><a href="controller.pl?action=RequirementSpecVersion/list&requirement_spec_id=[% HTML.url(SELF.requirement_spec.id) %]">[%- LxERP.t8("Versions") %]</a></li>
-   <li id="tab-header-quotations-orders"><a href="[% SELF.url_for(controller='RequirementSpecOrder', action='list', requirement_spec_id=SELF.requirement_spec.id) %]">[%- LxERP.t8("Quotations and orders") %]</a></li>
-  [%- END %]
- </ul>
-
- <div id="function-blocks-tab" class="section-context-menu">
-  [%- UNLESS SELF.requirement_spec.is_template %]
-   <div id="requirement_spec_version">
-    [%- INCLUDE 'requirement_spec/_version.html' requirement_spec=SELF.requirement_spec -%]
-   </div>
-  [%- END %]
+ 
+<ul>
+  <li id="tab-header-function-block"><a href="#function-blocks-tab">[% LxERP.t8("Content") %]</a></li>
+  <li id="tab-header-basic-settings"><a href="controller.pl?action=RequirementSpec/ajax_show_basic_settings&id=[% HTML.url(SELF.requirement_spec.id) %]">[% LxERP.t8("Basic settings") %]</a></li>
+  <li id="tab-header-time-cost-estimate"><a href="controller.pl?action=RequirementSpec/ajax_show_time_and_cost_estimate&id=[% HTML.url(SELF.requirement_spec.id) %]">[% LxERP.t8("Time and price estimate") %]</a></li>
+  <li id="tab-header-additional-parts"><a href="controller.pl?action=RequirementSpecPart/show&requirement_spec_id=[% HTML.url(SELF.requirement_spec.id) %]">[% LxERP.t8("Additional articles") %]</a></li>
+  [% UNLESS SELF.requirement_spec.is_template %] 
+    <li id="tab-header-versions"><a href="controller.pl?action=RequirementSpecVersion/list&requirement_spec_id=[% HTML.url(SELF.requirement_spec.id) %]">[% LxERP.t8("Versions") %]</a></li>
+    <li id="tab-header-quotations-orders"><a href="[% SELF.url_for(controller='RequirementSpecOrder', action='list', requirement_spec_id=SELF.requirement_spec.id) %]">[% LxERP.t8("Quotations and orders") %]</a></li>
+  [% END %] 
+</ul>
+
+<div id="function-blocks-tab" class="section-context-menu">
+  [% UNLESS SELF.requirement_spec.is_template %]
+    <div id="requirement_spec_version">
+      [% INCLUDE 'requirement_spec/_version.html' requirement_spec=SELF.requirement_spec %]
+    </div>
+  [% END %]
 
   <div id="column-container" class="clearfix">
-   <div id="tree-column">
-    <div id="tree"></div>
-   </div>
+    <div id="tree-column">
+     <div id="tree"></div>
+    </div>
 
-   <div id="content-column" class="clearfix">
-    [% L.hidden_tag('current_content_type', SELF.requirement_spec_item.id ? 'section' : '') %]
-    [% L.hidden_tag('current_content_id',   SELF.requirement_spec_item.id) %]
+    <div id="content-column" class="clearfix">
+      [% L.hidden_tag('current_content_type', SELF.requirement_spec_item.id ? 'section' : '') %]
+      [% L.hidden_tag('current_content_id',   SELF.requirement_spec_item.id) %]
 
-    <div id="column-content">
-     [%- IF SELF.requirement_spec_item -%]
-      [%- INCLUDE 'requirement_spec_item/_section.html' requirement_spec_item=SELF.requirement_spec_item -%]
-     [%- ELSE -%]
-      [%- INCLUDE 'requirement_spec_item/_no_section.html' -%]
-     [%- END -%]
+      <div id="column-content">
+        [% IF SELF.requirement_spec_item %]
+          [% INCLUDE 'requirement_spec_item/_section.html' requirement_spec_item=SELF.requirement_spec_item %]
+        [% ELSE %]
+          [% INCLUDE 'requirement_spec_item/_no_section.html' %]
+        [% END %]
     </div>
    </div>
-  </div>
+  </div><!-- /#column-container -->
  </div>
-</div>
 
-<script type="text/javascript">
- <!--
+
+
+</div><!-- /#requirement_spec_tabs -->
+
+<script type="text/javascript"><!--
 $(function() {
   var tree_data = [
     { data:     [% JSON.json(LxERP.t8("Text blocks front")) %],
@@ -85,12 +88,12 @@ $(function() {
   ];
 
   var initially_open = ['tb-front', 'tb-back', 'sections'
-[%- FOREACH section = sections -%]
+[% FOREACH section = sections %]
         , "fb-[% section.id %]"
- [%- FOREACH function_block = section.children -%]
-        , "fb-[% function_block.id -%]"
- [%- END -%]
-[%- END -%]
+ [% FOREACH function_block = section.children %]
+        , "fb-[% function_block.id %]"
+ [% END %]
+[% END %]
   ];
 
   kivi.requirement_spec.initialize_requirement_spec({
@@ -109,5 +112,4 @@ $(function() {
   });
 });
 
-  -->
-</script>
+  --></script>