commit ca4c387145652856fa84176c2709d19198b41a28
Author: Geoffrey Richardson <information@kivitendo-premium.de>
Date:   Fri May 13 13:49:59 2011 +0200

    Doku zu lx_office.conf und wiederkehrenden Rechnungen für 2.6.3

diff --git a/doc/UPGRADE b/doc/UPGRADE
index 78206ce6e..05683f01e 100644
--- a/doc/UPGRADE
+++ b/doc/UPGRADE
@@ -19,6 +19,9 @@ angelegt und authentication.pl und lx-erp.conf gelöscht oder verschoben wurden.
 Es gibt keine local-Variante der lx_office.conf, arbeitet man mit git sollte
 man lx_office.conf nicht einchecken.
 
+Eine etwas ausführlichere Beschreibung findet sich in der Datei:
+doc/konfigurationsdatei.txt
+
 
 Upgrade auf v2.6.2
 ==================
diff --git a/doc/konfigurationsdatei.txt b/doc/konfigurationsdatei.txt
new file mode 100644
index 000000000..d2e6ef2e0
--- /dev/null
+++ b/doc/konfigurationsdatei.txt
@@ -0,0 +1,63 @@
+== Lx-Office Konfigurationsdatei ab Version 2.6.3 ==
+
+Seit Lx-Office 2.6.3. findet sich die Hauptconfigurationsdatei von Lx-Office in
+der Datei config/lx_office.conf.
+
+Diese muß bei der Erstinstallation von Lx-Office (oder Migration von älteren
+Versionen) angelegt werden, als Vorlage dient die Datei
+config/lx_office.conf.default. Die Datei lx_office.conf ist eine
+installationsspezifische Datei, enthält z.B. die wichtigsten Passwörter der
+lokalen Installation, und findet sich auch nicht im Git Repository.  Diese
+Konfigurationsdatei ist unabhängig von den verschiedenen Mandanten, die auf der
+Installation laufen.
+
+Die Konfigurationsdatei besteht aus mehreren Teilen, die entsprechend kommentiert sind:
+
+* authentication
+* authentication/database
+* authentication/ldap
+* system
+* features
+* paths
+* applications
+* environment
+* print_templates
+* task_server
+* periodic_invoices
+* console
+* debug
+
+Die üblicherweise wichtigsten Parameter, die am Anfang einzustellen oder zu kontrollieren sind, sind:
+
+[authentication]
+admin_password = geheim
+
+[authentication/database]
+host     = localhost
+port     = 5432
+db       = lxerp_auth
+user     = postgres
+password =
+
+[system]:
+* eur
+* dbcharset
+
+Nutzt man wiederkehrende Rechnungen kann man unter [periodic_invoices] den
+Login eines Benutzers angeben, der nach Erstellung der Rechnungen eine
+entsprechende E-Mail mit Informationen über die erstellten Rechnungen bekommt.
+
+Nutzt man den Taskserver für wiederkehrende Rechnungen, muß unter [task_server]
+ein Login eines Benutzers angegeben werden, mit dem sich der Taskserver an
+Lx-Office bei der Datenbank anmeldet, die dem Benutzer zugewiesen ist.
+
+Für Entwickler finden sich unter [debug] wichtige Funktionen, um die
+Fehlersuche zu erleichtern.
+
+
+== Versionen vor 2.6.3 ==
+
+In älteren Lx-Office Versionen gab es im Verzeichnis config die Dateien
+authentication.pl und lx-erp.conf, die jeweils Perl-Dateien waren. Es gab auch
+die Möglichkeit, eine lokale Version der Konfigurationsdatei zu erstellen
+(lx-erp-local.conf), dies ist ab 2.6.3 auch nicht mehr möglich/nötig.
diff --git a/doc/programmierstilrichtlinien.txt b/doc/programmierstilrichtlinien.txt
index 67e63ecdc..4b8b20122 100644
--- a/doc/programmierstilrichtlinien.txt
+++ b/doc/programmierstilrichtlinien.txt
@@ -188,6 +188,6 @@ Einige der Regeln lassen sich automatisch überprüfen, andere nicht.
 
 14. Alle neuen Module müssen use strict verwenden.
 
-    $form, $auth, $locale, $lxdebug, %myconfig sowie der Inhalt der lx-erp.conf
-    werden derzeit aus dem main package importiert. Alle anderen Konstrukte
-    sollten lexikalisch lokal gehalten werden.
+    $form, $auth, $locale, $lxdebug und %myconfig werden derzeit aus dem main
+    package importiert. Alle anderen Konstrukte sollten lexikalisch lokal
+    gehalten werden.
diff --git a/doc/wiederkehrende_rechnungen.txt b/doc/wiederkehrende_rechnungen.txt
new file mode 100755
index 000000000..fe9a07c49
--- /dev/null
+++ b/doc/wiederkehrende_rechnungen.txt
@@ -0,0 +1,78 @@
+Wiederkehrende Rechnungen werden als normale Aufträge definiert und
+konfiguriert, mit allen dazugehörigen Kunden- und Artikelangaben. Die
+konfigurierten Aufträge werden später automatisch in Rechnungen
+umgewandelt, so als ob man den Workflow benutzen würde, und auch die
+Auftragsnummer wird übernommen, sodass alle wiederkehrenden
+Rechnungen, die aus einem Auftrag erstellt wurden, später leicht
+wiederzufinden sind.
+
+Um einen Auftrag für wiederkehrende Rechnung zu konfigurieren, findet sich beim
+Bearbeiten des Auftrags ein neuer Knopf "Konfigurieren", der ein neues Fenster
+öffnet, in dem man die nötigen Parameter einstellen kann.  Hinter dem Knopf
+wird außerdem noch angezeigt, ob der Auftrag als wiederkehrende Rechnung
+konfiguriert ist oder nicht.
+
+Folgende Parameter kann man konfigurieren:
+
+* Status:
+ Bei aktiven Rechnungen wird automatisch eine Rechnung erstellt, wenn die
+ Periodizität erreicht ist (z.B. Anfang eines neuen Monats).
+
+ Ist ein Auftrag nicht aktiv, so werden für ihn auch keine wiederkehrenden
+ Rechnungen erzeugt. Stellt man nach längerer nicht-aktiver Zeit einen Auftrag
+ wieder auf aktiv, wird beim nächsten Periodenwechsel für alle Perioden, seit
+ der letzten aktiven Periode, jeweils eine Rechnung erstellt. Möchte man dies
+ verhindern, muss man vorher das Startdatum neu setzen.
+
+ Für gekündigte Aufträge werden nie mehr Rechnungen erstellt. Man kann sich
+ diese Aufträge aber gesondert in den Berichten anzeigen lassen.
+
+* Periodizität:
+  Ob monatlich, quartalsweise oder jährlich auf neue Rechnungen überprüft
+  werden soll. Für jede Periode seit dem Startdatum wird überprüft, ob für die
+  Periode (beginnend immer mit dem ersten Tag der Periode) schon eine Rechnung
+  erstellt wurde. Unter Umständen können bei einem Startdatum in der
+  Vergangenheit gleich mehrere Rechnungen erstellt werden.
+
+* Buchen auf:
+  Das Forderungskonto, in der Regel "Forderungen aus Lieferungen
+  und Leistungen". Das Gegenkonto ergibt sich aus den Buchungsgruppen der
+  betreffenden Waren.
+
+* Startdatum: ab welchem Datum auf Rechnungserstellung geprüft werden soll
+
+* Enddatum: ab wann keine Rechnungen mehr erstellt werden sollen.
+
+* Automatische Verlängerung um x Monate:
+  Sollen die wiederkehrenden Rechnungen bei Erreichen des
+  eingetragenen Enddatums weiterhin erstellt werden, so kann man hier
+  die Anzahl der Monate eingeben, um die das Enddatum automatisch nach
+  hinten geschoben wird.
+
+* Drucken:
+  Sind Drucker konfiguriert, so kann man sich die erstellten Rechnungen auch
+  gleich ausdrucken lassen.
+
+Unter Verkauf->Berichte->Aufträge finden sich zwei neue Checkboxen,
+"Wiederkehrende Rechnungen aktiv" und "Wiederkehrende Rechnungen inaktiv", mit
+denen man sich einen Überglick über die wiederkehrenden Rechnungen verschaffen
+kann.
+
+Die zeitliche und periodische Überprüfung, ob eine wiederkehrende
+Rechnung automatisch erstellt werden soll, geschieht durch den
+Taskserver, einen externen Dienst, der automatisch beim Start des
+Servers gestartet werden sollte.
+
+Nach Erstellung der Rechnungen kann eine E-Mail mit Informationen zu
+den erstellten Rechnungen verschickt werden. Konfiguriert wird dies in
+der Konfigurationsdatei config/lx_office.conf im Abschnitt
+[periodic_invoices].
+
+Will man im laufenden Monat eine monatlich wiederkehrende Rechnung inkl. des
+laufenden Monats starten, stellt man das Startdatum auf den Monatsanfang und
+wartet ein paar Minuten, bis der Taskserver den neu konfigurieren Auftrag
+erkennt und daraus eine Rechnung generiert hat. Alternativ setzt man das
+Startdatum auf den Monatsersten des Folgemonats und erstellt die erste Rechnung
+direkt manuell über den Workflow.
+
+